=== debian/changelog ===
scowl (2020.12.07-4) unstable; urgency=medium

  * Switch to convert-bdic and install bdic to usr/share/hunspell-bdic;
    remove compatibility symlinks (Closes: #1086609)

 -- Don Armstrong <don@debian.org>  Fri, 14 Mar 2025 20:13:01 -0700

scowl (2020.12.07-3) unstable; urgency=medium

  * Include hunspell .bdic files (for qtwebengine and others). (Closes:
    #1017646) Thanks to Soren Stoutner.
  * Wordlists are also sorted with -f in addition to -d, as that is now
    the default for look (Closes: #1040126). Thanks to Peter Moulder.

 -- Don Armstrong <don@debian.org>  Wed, 25 Sep 2024 22:57:56 -0700

scowl (2020.12.07-2) unstable; urgency=medium

  * Separate uniqifying from sort; users (and other plurals with
    contractions) missing from wordlist because of this. (Closes:
    #1003935)

 -- Don Armstrong <don@debian.org>  Wed, 19 Jan 2022 21:16:40 -0800

scowl (2020.12.07-1) unstable; urgency=medium

  * New upstream release
  * Wordlists are now sorted with the -d option to sort, which only sorts
    in dictionary order instead of sorting in LC_SORT=C order. (Closes:
    #987857)
  * Switch to using mk-list instead of custom code for identifying files
    to include
  * Include apostrophe in hunspell affix wordlist; hunspell now supports
    contractions (Closes: #491638)

 -- Don Armstrong <don@debian.org>  Thu, 21 Oct 2021 15:46:29 -0700
